Subject: [apps-discuss] [Errata Rejected] RFC6839 (4367)

From: RFC Errata System <[email-masked]>
Date: Thu, 28 May 2015 08:46:27 -0700 (PDT)

The following errata report has been rejected for RFC6839,
"Additional Media Type Structured Syntax Suffixes".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=6839&eid=4367

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Yakov Shafranovich <[email-masked]>
Date Reported: 2015-05-15
Rejected by: Barry Leiba (IESG)

Section: 3.1

Original Text
-------------
Encoding considerations:

      Per [RFC4627], JSON is allowed to be represented using UTF-8,
      UTF-16, or UTF-32.  When JSON is written in UTF-8, JSON is 8bit
      compatible ([RFC2045]).  When JSON is written in UTF-16 or UTF-32,
      JSON is binary ([RFC2045]).

Corrected Text
--------------
Encoding considerations:  binary as per section 11 of RFC 7159

Notes
-----
RFC 7159, section 11 specifies that encoding for JSON is binary.
 --VERIFIER NOTES-- 
This does not qualify as an erratum, but do see the mailing list discussion that starts here:
http://www.ietf.org/mail-archive/web/apps-discuss/current/msg14321.html

--------------------------------------
RFC6839 (draft-ietf-appsawg-media-type-suffix-regs-08)
--------------------------------------
Title               : Additional Media Type Structured Syntax Suffixes
Publication Date    : January 2013
Author(s)           : T. Hansen, A. Melnikov
Category            : INFORMATIONAL
Source              : Applications Area Working Group
Area                : Applications
Stream              : IETF
Verifying Party     : IESG